<%@ Page Language="VB" %>
<%@ Import Namespace="System.Security.Principal" %>

<script runat="server">
    Protected Sub Page_Load(ByVal sender As Object, _
      ByVal e As System.EventArgs)

       Dim AuthUser As WindowsIdentity = WindowsIdentity.GetCurrent()
       Response.Write(AuthUser.AuthenticationType.ToString() & "<br>" & _
          AuthUser.ImpersonationLevel.ToString() & "<br>" & _
          AuthUser.IsAnonymous.ToString() & "<br>" & _
          AuthUser.IsAuthenticated.ToString() & "<br>" & _
          AuthUser.IsGuest.ToString() & "<br>" & _
          AuthUser.IsSystem.ToString() & "<br>" & _
          AuthUser.Name.ToString())
    End Sub
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    
    </div>
    </form>
</body>
</html>
